import 'package:cpt_auth/modules/setting/setting_page.dart';
import 'package:cpt_auth/modules/sign_up/sign_up_page.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/login/login_page.dart';
import '../modules/main/main_page.dart';
import '../modules/reset_psd/reset_psd_page.dart';

class AuthPageRouter {
  static final routes = [
    //首页
    GetPage(
      name: RouterPath.MAIN,
      page: () => MainPage(),
    ),

    //登录
    GetPage(
      name: RouterPath.AUTH_LOGIN,
      page: () => LoginPage(),
    ),

    //注册
    GetPage(
      name: RouterPath.AUTH_SIGNUP,
      page: () => SignUpPage(),
    ),

    //重置密码
    GetPage(
      name: RouterPath.AUTH_RESET_PSD,
      page: () => ResetPasswordPage(),
    ),

    //重置密码
    GetPage(
      name: RouterPath.SETTINGS,
      page: () => SettingPage(),
    ),

  ];
}
